Subject: bug#8427: [SECURITY] sql.el -- comint process passwords are leaked to ps(1) listing

From: Michael Mauger <[email-masked]>
Date: Tue, 19 Oct 2021 04:37:23 +0000

On Wednesday, October 13th, 2021 at 5:26 PM, Stefan Kangas <[email-masked]> wrote:

> Eli Zaretskii [email-masked] writes:
>
> > I'm okay with installing this on the release branch if Michael thinks
> > it's safe enough.
>
> Michael, could you please push this to emacs-28 or master as you prefer?
> Alternatively, just tell us where you'd like it to land and me or
> someone else can push it.

I've pushed to master for now. I'll test this week and decide then whether I push to emacs-28.

I think its fine and safe, but I effed up for emacs-27, so I'm a little cautious...

--
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer